update tuxedo vendor lib on stage

RESOLVED FIXED

Status

Infrastructure & Operations Graveyard
WebOps: Product Delivery
RESOLVED FIXED
4 years ago
a year ago

People

(Reporter: rhelmer, Assigned: cturra)

Tracking

Details

(Reporter)

Description

4 years ago
The API docs are currently pretty unreadable, I found that there was a missing dependency in the vendor lib and pushed to commit https://github.com/mozilla/tuxedo-lib/commit/b5228df0deac2926796a65942164c56851082c62

In fact the whole vendor lib is out-of-date from what the requirements files states, but I only added the single dependency for this for starters (want to test it more thoroughly)
(Reporter)

Comment 1

4 years ago
(In reply to Robert Helmer [:rhelmer] from comment #0)
> The API docs are currently pretty unreadable

Here is an example btw:
https://bounceradmin.allizom.org/api/docs/product_add
(Reporter)

Comment 2

4 years ago
Oops sorry, I had forgotten to update tuxedo to pull this in, here's the commit for that:
https://github.com/mozilla/tuxedo/commit/598b9eeafa1e08b044f60d88ded7aa917e24e38b
(Assignee)

Comment 3

4 years ago
as discussed on irc, we had to update the tuxedo repo to use the latest vendor-lib commit. once that was complete, i ran an update to stage again and the markdown vendor lib was pulled correctly.

[root@bounceradm.private.phx1 download.allizom.org]# bash -x update
+ CODE_DIR=/data/bouncer-stage/src/download.allizom.org/tuxedo
+ VENDOR_DIR=/data/bouncer-stage/src/download.allizom.org/tuxedo/vendor
+ PROD_DETAILS_ONLY=0
+ getopts p OPTION
+ '[' 0 -eq 0 ']'
+ update_code
+ echo -e 'Updating code...'
Updating code...
+ cd /data/bouncer-stage/src/download.allizom.org/tuxedo
+ git fetch origin -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git checkout -f origin/master -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git submodule sync -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git submodule update --init --recursive -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Updating vendor submodules...'
Updating vendor submodules...
+ cd /data/bouncer-stage/src/download.allizom.org/tuxedo/vendor
+ git submodule sync -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git submodule update --init --recursive -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Cleaning gitignore and pyc files...'
Cleaning gitignore and pyc files...
+ cd /data/bouncer-stage/src/download.allizom.org/tuxedo
+ find . -type f -name .gitignore -or -name '*.pyc' -delete
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Storing revision information...'
Storing revision information...
+ cd /data/bouncer-stage/src/download.allizom.org/tuxedo
+ git rev-parse HEAD
+ generate_revision_info
Updating product_details...
Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/
DEBUG:prod_details:Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/
Found last update timestamp: Thu, 09 Jan 2014 02:12:07 GMT
DEBUG:prod_details:Found last update timestamp: Thu, 09 Jan 2014 02:12:07 GMT
Product Details were up to date.
INFO:prod_details:Product Details were up to date.
Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/regions/
DEBUG:prod_details:Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/regions/
Found last update timestamp: Mon, 02 May 2011 22:54:49 GMT
DEBUG:prod_details:Found last update timestamp: Mon, 02 May 2011 22:54:49 GMT
Product Details were up to date.
INFO:prod_details:Product Details were up to date.
Product Details update run complete.
DEBUG:prod_details:Product Details update run complete.
Deploying code...
[2014-01-14 16:44:55] Running rsync_project
[2014-01-14 16:44:55] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/bouncer-stage/src/download.allizom.org/ /data/bouncer-stage/www/download.allizom.org/
[2014-01-14 16:44:56] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/bouncer-stage/src/download.allizom.org/ /data/bouncer-stage/www/download.allizom.org/ (1.191s)
[2014-01-14 16:44:56] Finished rsync_project (1.192s)
[2014-01-14 16:44:56] Running commit_www
[2014-01-14 16:44:56] [localhost] running: cd /data/bouncer-stage/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['download.allizom.org']'
[2014-01-14 16:44:56] [localhost] finished: cd /data/bouncer-stage/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['download.allizom.org']' (0.347s)
[localhost] out: [master 4e7402a] deploy [download.allizom.org]
[localhost] out: 33 files changed, 4770 insertions(+), 18 deletions(-)
[localhost] out: create mode 100755 download.allizom.org/tuxedo/vendor/bin/markdown
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/Markdown-2.0.3-py2.7.egg-info/PKG-INFO
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/Markdown-2.0.3-py2.7.egg-info/SOURCES.txt
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/Markdown-2.0.3-py2.7.egg-info/dependency_links.txt
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/Markdown-2.0.3-py2.7.egg-info/installed-files.txt
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/Markdown-2.0.3-py2.7.egg-info/top_level.txt
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/__init__.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/blockparser.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/blockprocessors.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/commandline.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/etree_loader.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/__init__.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/abbr.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/codehilite.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/def_list.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/extra.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/fenced_code.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/footnotes.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/headerid.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/html_tidy.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/imagelinks.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/meta.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/rss.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/tables.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/toc.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/extensions/wikilinks.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/html4.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/inlinepatterns.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/odict.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/postprocessors.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/preprocessors.py
[localhost] out: create mode 100644 download.allizom.org/tuxedo/vendor/lib/python/markdown/treeprocessors.py
[2014-01-14 16:44:56] Finished commit_www (0.348s)
Assignee: server-ops-webops → cturra
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Component: WebOps: Other → WebOps: Product Delivery
Resolution: --- → FIXED
(Reporter)

Updated

4 years ago
Depends on: 959913
Product: Infrastructure & Operations → Infrastructure & Operations Graveyard
You need to log in before you can comment on or make changes to this bug.